can I upgrade from 10.6.8? want to use icloud

OS X Lion (10.7)

Back To Product

Follow this Question

1 Answer from the Community

  • Since you didn't tell us what type of mac you are running, we can't help you at the moment. The system requirements are as follows:

    Intel Core 2 Duo, Core i3, Core i5, Core i7, or Xeon processor, 2 GB of RAM, 7 GB of disk space, and Mac OS X v10.6.6 or later (v10.6.8 recommended)

    So, what kind of mac are you using?

    Was this useful? Answer 1

    6 of 12 people found this useful

Related Questions